#include "SPI.h"

SPIClass SPI_2(NRF_SPIM2, PIN_QSPI_IO1, PIN_QSPI_SCK, PIN_QSPI_IO0);

void readID()
{
  for (uint16_t k = 0; k < 4095; k++)
  {
    digitalWrite(PIN_QSPI_CS, LOW);
    SPI_2.transfer(0x9F);
    SPI_2.transfer(0xFF);
    SPI_2.transfer(0xFF);
    SPI_2.transfer(0xFF);
    digitalWrite(PIN_QSPI_CS, HIGH);
  }
}


void flashSleep()
{
  digitalWrite(PIN_QSPI_CS, LOW);
  SPI_2.transfer(0xB9);
  digitalWrite(PIN_QSPI_CS, HIGH);
}

void flashWake()
{
  digitalWrite(PIN_QSPI_CS, LOW);
  SPI_2.transfer(0xAB);
  digitalWrite(PIN_QSPI_CS, HIGH);
}


void setup() 
{ 
  pinMode(PIN_QSPI_CS, OUTPUT);
  pinMode(PIN_QSPI_IO2, OUTPUT);
  pinMode(PIN_QSPI_IO3, OUTPUT);
  digitalWrite(PIN_QSPI_CS, HIGH);
  digitalWrite(PIN_QSPI_IO2, HIGH);
  digitalWrite(PIN_QSPI_IO3, HIGH);
  
  NRF_POWER->DCDCEN = 1;  
  
  SPI_2.begin();
  delay(300);
  
  readID();
  delay(300);
  
  flashSleep();
  delay(300);
  
  readID();
  delay(300);
  
  flashWake();
  delay(300);
  
  readID();
  //delay(300);

  //suspendLoop();    
}

void loop() 
{  
}
