#include <Adafruit_SPIFlash.h>

/*Map flash as QSPI, comment out below line if choose to map as SPI*/ 
Adafruit_FlashTransport_QSPI flashTransport;

/*Map flash as custom SPI, comment out below 2 lines if choose to map as QSPI*/
//SPIClass SPI_2(NRF_SPIM2, PIN_QSPI_IO1, PIN_QSPI_SCK, PIN_QSPI_IO0);
//Adafruit_FlashTransport_SPI flashTransport(PIN_QSPI_CS, SPI_2);

uint8_t three_byte_response[3] = {0};

void readID()
{
  for (uint16_t k = 0; k < 4095; k++)
  {
    flashTransport.readCommand(0x9F, three_byte_response, 3);
  }
}

void flashSleep()
{
  flashTransport.runCommand(0xB9);
}

void flashWake()
{
  flashTransport.runCommand(0xAB);
}


void setup()
{
  NRF_POWER->DCDCEN = 1;
  
  flashTransport.begin();
  delay(300);
  
  readID();  
  delay(300);
  
  flashSleep();  
  delay(300);

  readID();  
  delay(300);
  
  flashWake();  
  delay(300);

  readID();  
  //delay(300);

  //suspendLoop();
}

void loop()
{
  // nothing to do
}
